package com.lovecoding.day11.static04;

public class Fu {
    static{
        System.out.println("Fu静态代码块1，a = " + Fu.a); //a = 0
    }
    private static int a = 1;

    static{
        System.out.println("Fu静态代码块2，a = " + a); //a=1
    }

    {
        System.out.println("Fu非静态代码块");
    }

    public Fu(){
        System.out.println("Fu构造器");
    }

    public static void method(){
        System.out.println("Fu.method");
    }
}
